Subject: bug#75674: 31.0.50; Random keyboard input detected when clicking with mouse in Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Jan 2025 18:42:28 +0200

> Date: Wed, 22 Jan 2025 16:14:48 +0000
> Cc: [email-masked]
> From: Bartosz Kaczyński <[email-masked]>
> 
> >> Event detected: 100
> >>
> >> For context, ASCII value 100 corresponds to the letter d. However, other
> >> times, I observe different letters like cc.
> >>
> >> I am using openSUSE Tumbleweed GNU/Linux distro on KDE Wayland system and
> >> running Emacs as a daemon and connecting via emacsclient.
> > 
> > I cannot think of any reason except some problem with your hardware or
> > system software.
> 
> Thank you for your response. While I understand that this could be 
> caused by hardware or system software, I would like to ask for guidance 
> in diagnosing whether the issue might caused from my Emacs configuration 
> or related software (e.g., the windowing system, input handling in 
> Emacs, etc.).

Maybe something special/unusual in how mouse events work on that
system? or some input method?  I'm really stabbing in the dark here,
because I cannot think of any way a mouse click could produce a
keyboard key or a character event.